<h2 class="ServicesTitle"><img _ngcontent-serverapp-c26="" alt="logo" class="img-fluid pr-2 titleleftimg" src=" ../../assets/images/icn_expenses_claim.png">Expense Claim</h2>
<div class="card formFieldsBlock">
  <div class="col-sm-12">
    <form [formGroup]="expenseForm" (ngSubmit)="onSubmit()" #formEl="ngForm">
      <div class="row">
        <div class="col-sm-6">
          <mat-form-field appearance="standard">
            <mat-label>Expense Category</mat-label>
            <mat-select formControlName="expenseCategory" (selectionChange)="checkSelectedValue($event)">
              <mat-option *ngFor="let cat of catList;let i=index;" [value]="cat">{{cat}}</mat-option>
            </mat-select>
            <mat-error *ngIf="expenseForm.controls['expenseCategory'].errors?.required &&
            expenseForm.controls['expenseCategory'].touched">
                      Please Select Expense Category.
                </mat-error>
        </mat-form-field>
        </div>
        <div class="col-sm-6">
          <mat-form-field appearance="standard">
            <mat-label>Type of Expense</mat-label>
            <mat-select formControlName="expenseType">
              <ng-container *ngIf="isCertifications">
                <mat-option *ngFor="let cat of catOneList;let i=index;" [value]="cat">{{cat}}</mat-option>
              </ng-container>
              <ng-container *ngIf="isGovt">
                  <mat-option *ngFor="let cat of catTwoList;let i=index;" [value]="cat">{{cat}}</mat-option>
              </ng-container>
              <ng-container *ngIf="isOther">
                  <mat-option *ngFor="let cat of catThreeList;let i=index;" [value]="cat">{{cat}}</mat-option>
              </ng-container>
              <ng-container *ngIf="isTicketRelated">
                  <mat-option *ngFor="let cat of catFourList;let i=index;" [value]="cat">{{cat}}</mat-option>
              </ng-container>
            </mat-select>
            <mat-error *ngIf="expenseForm.controls['expenseType'].errors?.required &&
            expenseForm.controls['expenseType'].touched">
                      Please Select Type of Expense .
                </mat-error>
        </mat-form-field>
        </div>
      </div>  
      <div class="row">
        <div class="col-sm-6">
          <mat-form-field class="email-field" appearance="standard" >
            <mat-label>Reason of Expense</mat-label>        
              <textarea matInput maxlength="150" formControlName="reason"  required></textarea> 
              <mat-error *ngIf="expenseForm.controls['reason'].errors?.required &&
            expenseForm.controls['reason'].touched">
                      Please Enter Reason of Expense.
                </mat-error>    
        </mat-form-field> 
        </div>
        <div class="col-sm-6">
          <mat-form-field class="email-field" appearance="standard" >
            <mat-label>Notes</mat-label>        
              <textarea matInput maxlength="150" formControlName="notes" required></textarea> 
              <mat-error *ngIf="expenseForm.controls['notes'].errors?.required &&
            expenseForm.controls['notes'].touched">
                      Please Enter Notes.
                </mat-error>      
        </mat-form-field> 
        </div>
      </div> 

      <div class="row">  
        <div class="col-sm-6">
          <mat-form-field class="email-field" appearance="standard" >
            <mat-label>Expense Amount</mat-label>
            <input matInput type="number"  formControlName="expenseAmount" required autocomplete="off" /> 
            <mat-error *ngIf="expenseForm.controls['expenseAmount'].errors?.required &&
            expenseForm.controls['expenseAmount'].touched">
                      Please Enter Expense Amount.
                </mat-error>       
          </mat-form-field> 
        </div>
        </div>
      
      <br>
      <div class="button-grp">
        <button type="reset" mat-raised-button class="button button-secondary">Reset</button>
        <button mat-raised-button  [disabled]="!expenseForm.valid" class="button button-primary"> Submit</button>
      </div>    
      </form>
  </div>
</div>
